Package name.pachler.nio.file.impl

# Class PathWatchEventModifier

java.lang.Object
name.pachler.nio.file.impl.PathWatchEventModifier

All Implemented Interfaces:
  `WatchEvent.Modifier<Path>`

public class PathWatchEventModifier extends Object implements WatchEvent.Modifier<Path>

## Constructor Summary

Constructors
Constructor
Description
`PathWatchEventModifier(String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
The modifier's name should be used for informative purposes only (like error reporting).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathWatchEventModifier

public PathWatchEventModifier(String name)

## Method Details

### name

public String name()
Description copied from interface: `WatchEvent.Modifier`
The modifier's name should be used for informative purposes only (like error reporting).

Specified by:
  `name` in interface `WatchEvent.Modifier<Path>`
Returns:
  the modifier's name